### Method

# Handy Swipeable emit_child_switched

since: 1.0

#### Declaration [src]

    void
    hdy_swipeable_emit_child_switched (
      HdySwipeable* self,
      guint index,
      gint64 duration
    )

#### Description [src]

Emits `HdySwipeable::child-switched` signal.

This should be called when the widget switches visible child widget.

`duration` can be 0 if the child is switched without animation.

Available since: 1.0

#### Parameters

`index`

  Type: `guint`

  The index of the child to switch to.

`duration`

  Type: `gint64`

  Animation duration, in milliseconds.